Package org.jfree.layouting.renderer.text

## Interface ExtendedBaselineInfo

- All Known Implementing Classes:
    `DefaultExtendedBaselineInfo`

      public interface ExtendedBaselineInfo

  Creation-Date: 24.07.2006, 17:38:23
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `AFTER_EDGE` |
    `static int` | `ALPHABETHIC` |
    `static int` | `BASELINE_COUNT` |
    `static int` | `BEFORE_EDGE` |
    `static int` | `CENTRAL` |
    `static int` | `HANGING` |
    `static int` | `IDEOGRAPHIC` |
    `static int` | `MATHEMATICAL` |
    `static int` | `MIDDLE` |
    `static int` | `TEXT_AFTER_EDGE` |
    `static int` | `TEXT_BEFORE_EDGE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getBaseline​(int baseline)` |
    `long[]` | `getBaselines​()` |
    `int` | `getDominantBaseline​()` |
    `ExtendedBaselineInfo` | `shift​(long s)` |

- - ### Field Detail

    - #### BASELINE_COUNT

          static final int BASELINE_COUNT

      See Also:
        Constant Field Values

    - #### BEFORE_EDGE

          static final int BEFORE_EDGE

      See Also:
        Constant Field Values

    - #### TEXT_BEFORE_EDGE

          static final int TEXT_BEFORE_EDGE

      See Also:
        Constant Field Values

    - #### HANGING

          static final int HANGING

      See Also:
        Constant Field Values

    - #### CENTRAL

          static final int CENTRAL

      See Also:
        Constant Field Values

    - #### MIDDLE

          static final int MIDDLE

      See Also:
        Constant Field Values

    - #### MATHEMATICAL

          static final int MATHEMATICAL

      See Also:
        Constant Field Values

    - #### ALPHABETHIC

          static final int ALPHABETHIC

      See Also:
        Constant Field Values

    - #### IDEOGRAPHIC

          static final int IDEOGRAPHIC

      See Also:
        Constant Field Values

    - #### TEXT_AFTER_EDGE

          static final int TEXT_AFTER_EDGE

      See Also:
        Constant Field Values

    - #### AFTER_EDGE

          static final int AFTER_EDGE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDominantBaseline

          int getDominantBaseline​()

    - #### getBaselines

          long[] getBaselines​()

    - #### getBaseline

          long getBaseline​(int baseline)

    - #### shift

          ExtendedBaselineInfo shift​(long s)